Package org.osgi.service.packageadmin

# Interface RequiredBundle

public interface RequiredBundle
Deprecated.
The PackageAdmin service has been replaced by the `org.osgi.framework.wiring` package.
A required bundle. Objects implementing this interface are created by the Package Admin service.

The term required bundle refers to a resolved bundle that has a bundle symbolic name and is not a fragment. That is, a bundle that may be required by other bundles. This bundle may or may not be currently required by other bundles.

The information about a required bundle provided by this object may change. A `RequiredBundle` object becomes stale if an exported package of the bundle it references has been updated or removed as a result of calling `PackageAdmin.refreshPackages()`). If this object becomes stale, its `getSymbolicName()` and `getVersion()` methods continue to return their original values, `isRemovalPending()` returns true, and `getBundle()` and `getRequiringBundles()` return `null`.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`Bundle`
`getBundle()`
Deprecated.
Returns the bundle associated with this required bundle.
`Bundle[]`
`getRequiringBundles()`
Deprecated.
Returns the bundles that currently require this required bundle.
`String`
`getSymbolicName()`
Deprecated.
Returns the symbolic name of this required bundle.
`Version`
`getVersion()`
Deprecated.
Returns the version of this required bundle.
`boolean`
`isRemovalPending()`
Deprecated.
Returns `true` if the bundle associated with this `RequiredBundle` object has been updated or uninstalled.

## Method Details

### getSymbolicName

String getSymbolicName()
Deprecated.
Returns the symbolic name of this required bundle.

Returns:
  The symbolic name of this required bundle.

### getBundle

Bundle getBundle()
Deprecated.
Returns the bundle associated with this required bundle.

Returns:
  The bundle, or `null` if this `RequiredBundle` object has become stale.

### getRequiringBundles

Bundle[] getRequiringBundles()
Deprecated.
Returns the bundles that currently require this required bundle.

If this required bundle is required and then re-exported by another bundle then all the requiring bundles of the re-exporting bundle are included in the returned array.

Returns:
  An array of bundles currently requiring this required bundle, or `null` if this `RequiredBundle` object has become stale. The array will be empty if no bundles require this required package.

### getVersion

Version getVersion()
Deprecated.
Returns the version of this required bundle.

Returns:
  The version of this required bundle, or `Version.emptyVersion` if no version information is available.

### isRemovalPending

boolean isRemovalPending()
Deprecated.
Returns `true` if the bundle associated with this `RequiredBundle` object has been updated or uninstalled.

Returns:
  `true` if the required bundle has been updated or uninstalled, or if the `RequiredBundle` object has become stale; `false` otherwise.